Page 1 of 1

Problema dipendenze Mint Debian

Posted: Sun Jan 29, 2012 8:22 am
by Gianni
Ciao a tutti sono nuovo del mondo mint ho sempre usato Debian e con Linux Mint Debian ho qualche problema nell'installazione di qualche programma e negli aggiornamenti.
Il motivo per me sono i repository, manca qualcosa. Vi posto il mio sources.list:

Code: Select all

#Repository Mint
deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free

Ho dei problemi nell'installare alcune applicazioni per mancanza di pacchetti... Ad esempio il programma Avidemux non viene installato e mi viene detto:

Code: Select all

I seguenti pacchetti hanno dipendenze non soddisfatte:
 avidemux : Dipende: avidemux-plugins (>= 1:2.5.6-0.0) ma non sta per essere installato
            Raccomanda: lame ma non sta per essere installato
E: Pacchetti danneggiati

Poi ho bisogno del pacchetto libtranslate ma non è presente.

Dal gestore di pacchetti nella sezione "Installato (aggiornabile)" ho una serie di pacchetti che non aggiorna e non so il perchè:

Code: Select all

I seguenti pacchetti sono stati mantenuti alla versione attuale:
  ffmpeg foomatic-db-engine gstreamer0.10-ffmpeg libavcodec53 libavdevice53
  libavfilter2 libavformat53 mplayer vlc vlc-nox vlc-plugin-notify
  vlc-plugin-pulse

Anche dando il comando upgrade da terminale mi segnala questi pacchetti.
Cosa mi dite?


LinuxMint rilascio 1(debian) Kernel Linux 3.0.0-1 amd64 gnome 2.30.2

Re: Problema dipendenze Mint Debian

Posted: Mon Jan 30, 2012 11:12 am
by Fantu
Ad occhio mi pare che contrib sia mancante nell'ultima riga del repo multimedia, prova ad aggiungerlo.
Oppure forse i pacchetti li ha scaricati ma con errori a causa di problemi con la connessione, in tal caso prova a cancellare i deb in cache (aptitude clean) e rifare.

Re: Problema dipendenze Mint Debian

Posted: Mon Jan 30, 2012 3:26 pm
by Gianni
no non è quello ho provato ad inserire contrib nel sources.list ma niente mi dà errore... ho anche fatto

Code: Select all

aptitude clean
ma non ci sono stati cambiamenti...
Qualcuno che usa mint Debian non ha problemi? io ho i repository di base

Re: Problema dipendenze Mint Debian

Posted: Tue Jan 31, 2012 1:43 pm
by Gianni
scusate se lo chiedo,
ma chi ha linux mint debian e non ha problemi con le dipendenze può darmi il loro source.list? Grazie